| Home | Libraries | People | FAQ | More

## Function template value

boost::histogram::axis::traits::value — Returns axis value for index.

## Synopsis

    // In header: <boost/histogram/axis/traits.hpp>

    template<typename Axis>
      decltype(auto) value(const Axis & axis, real_index_type index);

## Description

If the axis has no `value` method, throw std::runtime_error. If the method exists and accepts a floating point index, pass the index and return the result. If the method exists but accepts only integer indices, cast the floating point index to int, pass this index and return the result.

Parameters:

`axis` | any axis instance
`index` | floating point axis index